Subject: RE: dos file names (what should I do)
From: [email-masked] (Mikey)

2 Feb 1997 13:40:00 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="---- =_NextPart_000_01BC10F6.84DFF400"
Original-To: "'Wayne Davison'" <[email-masked]>
Original-Cc: "'gnu-win32 mailing list'" <[email-masked]>
Original-Sender: [email-masked]

------ =_NextPart_000_01BC10F6.84DFF400
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit

See this patch

Since various utilities have trouble with the double-slash paths, I 
recommend mounting all your drive letters.  One simple approach would be to 
mount them in the root directory:

	mount d: /d

Unfortunately there are yet bugs in how mounted directories are handled. 
 Have you ever tryed typing "ls /"?  I always get an empty directory 
listing for this or any drive's root dir that is mounted (such as trying 
"ls /d" or even "ls /d/." using the above example).  However, it works fine 
for specifying files.

Note that if you want the mount points to show up in a directory listing, 
you should do a "mkdir /d" before you do the mount.  However, this isn't 
required.

I also think that cygwin.dll should be changed to use some better default 
mounts than //x -- I think that /dev/x (or even /dev/dsk/x) would work 
well.  These things don't have to be short since they can be mounted 
wherever the user wishes.

...wayne..

------ =_NextPart_000_01BC10F6.84DFF400
Content-Type: text/plain; name="patch for diropen() fixes access to .txt"
Content-Transfer-Encoding: 7bit

From: 	Scott Kempf[SMTP:[email-masked]]
Sent: 	Friday, January 10, 1997 3:42 AM
To: 	[email-masked]
Subject: 	patch for diropen() fixes access to /

A number of programs have trouble with accessing "/".
The problem seems to be due to opendir() changing "/"
into "c:\/*".  This patch fixes this and allows "ls /"
to work correctly.  This doesn't fix "ls //".

			Scott

*** cdksrc/src/winsup/dirsearch.cc.orig	Tue Dec 31 14:42:55 1996
--- cdksrc/src/winsup/dirsearch.cc	Tue Dec 31 14:43:17 1996
***************
*** 22,27 ****
--- 22,29 ----
  #define _COMPILING_NEWLIB
  #include "dirent.h"
  
+ #define SLASH_P(C) ((C) == '/' || (C) == '\\')
+ 
  extern "C"
  DIR *
  opendir (const char *dirname)
***************
*** 70,76 ****
    strcpy (dir->__d_dirname, real_dirname.get_win32 ());
    /* FindFirstFile doesn't seem to like duplicate /'s.  */
    len = strlen (dir->__d_dirname);
!   if (len == 0 || dir->__d_dirname[len - 1] == '/')
      strcat (dir->__d_dirname, "*");
    else
      strcat (dir->__d_dirname, "/*");	/**/
--- 72,78 ----
    strcpy (dir->__d_dirname, real_dirname.get_win32 ());
    /* FindFirstFile doesn't seem to like duplicate /'s.  */
    len = strlen (dir->__d_dirname);
!   if (len == 0 || SLASH_P(dir->__d_dirname[len - 1]))
      strcat (dir->__d_dirname, "*");
    else
      strcat (dir->__d_dirname, "/*");	/**/
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".

------ =_NextPart_000_01BC10F6.84DFF400--

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".